import { jsx } from "react/jsx-runtime";
import { WalletTrezor as WalletTrezor$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const WalletTrezor = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "Trezor", "data-name": "WalletTrezor", ...props, children: /* @__PURE__ */ jsx(WalletTrezor$1, { variant }) });
  }
);
WalletTrezor.displayName = "WalletTrezor";
Object.assign(WalletTrezor, { isGdsIcon: true });
export {
  WalletTrezor
};
